CC = iccavr
LIB = ilibw
CFLAGS =  -e -D__ICC_VERSION="7.18" -DATMega32  -l -g -MLongJump -MHasMul -MEnhanced -Wf-str_in_flash 
ASFLAGS = $(CFLAGS) 
LFLAGS =  -O -g -e:0x8000 -ucrtatmega.o -bfunc_lit:0x54.0x7800 -dram_end:0x85f -bdata:0x60.0x85f -dhwstk_size:64 -beeprom:0.1024 -fihx_coff -S2
FILES = TaskManager.o Display.o 

DISPLAY:	$(FILES)
	$(CC) -o DISPLAY $(LFLAGS) @DISPLAY.lk   -lfpatmega -lcatmega
TaskManager.o: C:\PROGRA~1\iccavr\include\iom32v.h C:\PROGRA~1\iccavr\include\shortnametype.h C:\PROGRA~1\iccavr\include\macros.h C:\PROGRA~1\iccavr\include\stdlib.h C:\PROGRA~1\iccavr\include\_const.h C:\PROGRA~1\iccavr\include\limits.h C:\PROGRA~1\iccavr\include\STRING.H .\..\..\..\POWERS~2\GRAPHL~1\Code\TaskManager.h
TaskManager.o:	..\..\..\POWERS~2\GRAPHL~1\Code\TaskManager.c
	$(CC) -c $(CFLAGS) ..\..\..\POWERS~2\GRAPHL~1\Code\TaskManager.c
Display.o: C:\PROGRA~1\iccavr\include\iom32v.h C:\PROGRA~1\iccavr\include\shortnametype.h C:\PROGRA~1\iccavr\include\macros.h C:\PROGRA~1\iccavr\include\stdlib.h C:\PROGRA~1\iccavr\include\_const.h C:\PROGRA~1\iccavr\include\limits.h C:\PROGRA~1\iccavr\include\STRING.H C:\PROGRA~1\iccavr\include\stdio.h C:\PROGRA~1\iccavr\include\stdarg.h C:\PROGRA~1\iccavr\include\eeprom.h .\..\..\..\POWERS~2\GRAPHL~1\Code\TaskManager.h
Display.o:	..\..\..\POWERS~2\GRAPHL~1\Code\Display.c
	$(CC) -c $(CFLAGS) ..\..\..\POWERS~2\GRAPHL~1\Code\Display.c
